org.springframework.batch.item.database.support

## Class DerbyPagingQueryProvider

- java.lang.Object
- - org.springframework.batch.item.database.support.AbstractSqlPagingQueryProvider
  - - org.springframework.batch.item.database.support.SqlWindowingPagingQueryProvider
    - - org.springframework.batch.item.database.support.DerbyPagingQueryProvider

- All Implemented Interfaces:
    PagingQueryProvider

      public class DerbyPagingQueryProvider
      extends SqlWindowingPagingQueryProvider

  Derby implementation of a `PagingQueryProvider` using standard SQL:2003 windowing functions. These features are supported starting with Apache Derby version 10.4.1.3. As the OVER() function does not support the ORDER BY clause a sub query is instead used to order the results before the ROW_NUM restriction is applied
  Since:
    2.0
  Author:
    Thomas Risberg, David Thexton, Michael Minella

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DerbyPagingQueryProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getOrderedQueryAlias()`
    `protected java.lang.String` | `getOverClause()`
    `protected java.lang.String` | `getOverSubstituteClauseEnd()`
    `protected java.lang.String` | `getOverSubstituteClauseStart()`
    `void` | `init(javax.sql.DataSource dataSource)` Check mandatory properties.

    - ### Methods inherited from class org.springframework.batch.item.database.support.SqlWindowingPagingQueryProvider

      `extractTableAlias, generateFirstPageQuery, generateJumpToItemQuery, generateRemainingPagesQuery, getSubQueryAlias`

    - ### Methods inherited from class org.springframework.batch.item.database.support.AbstractSqlPagingQueryProvider

      `getFromClause, getGroupClause, getParameterCount, getSelectClause, getSortKeyPlaceHolder, getSortKeys, getSortKeysWithoutAliases, getWhereClause, isUsingNamedParameters, setFromClause, setGroupClause, setSelectClause, setSortKeys, setWhereClause`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DerbyPagingQueryProvider

          public DerbyPagingQueryProvider()

  - ### Method Detail

    - #### init

          public void init(javax.sql.DataSource dataSource)
                    throws java.lang.Exception

      Description copied from class: `AbstractSqlPagingQueryProvider`
      Check mandatory properties.
      Specified by:
        `init` in interface `PagingQueryProvider`
      Overrides:
        `init` in class `AbstractSqlPagingQueryProvider`
      Parameters:
        `dataSource` - DataSource to use for any initialization
      Throws:
        `java.lang.Exception` - for errors when initializing
      See Also:
        `InitializingBean.afterPropertiesSet()`

    - #### getOrderedQueryAlias

          protected java.lang.String getOrderedQueryAlias()

      Overrides:
        `getOrderedQueryAlias` in class `SqlWindowingPagingQueryProvider`

    - #### getOverClause

          protected java.lang.String getOverClause()

      Overrides:
        `getOverClause` in class `SqlWindowingPagingQueryProvider`

    - #### getOverSubstituteClauseStart

          protected java.lang.String getOverSubstituteClauseStart()

      Overrides:
        `getOverSubstituteClauseStart` in class `SqlWindowingPagingQueryProvider`

    - #### getOverSubstituteClauseEnd

          protected java.lang.String getOverSubstituteClauseEnd()

      Overrides:
        `getOverSubstituteClauseEnd` in class `SqlWindowingPagingQueryProvider`